Bug 20928 - ALERT - canary mismatch on efree()
: ALERT - canary mismatch on efree()
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/php5-curl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-07-31 17:07 by
Modified: 2010-02-01 17:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-07-31 17:07:00
При включении curl начинают валиться использующие его php-шные приложения (к
примеру - moodle).

Диагностика следующая:
ALERT - canary mismatch on efree() - heap overflow detected (attacker
'10.1.2.104', file '/var/www/webapps/moodle/lib/adminlib.php', line 833)
------- Comment #1 From 2009-11-24 18:03:42 -------
Да, на 5.1 тоже очень актуально.
Может кто-то подскажет как лечить?
------- Comment #2 From 2009-11-24 18:39:32 -------
Ввиду неподдерживаемости php в Sisyphus перспективы решения данной проблемы
туманны. В первую очередь нужен новый майнтейнер.
------- Comment #3 From 2010-01-30 10:47:23 -------
На php5-5.2.12-alt2 + curl оттуда-же воспроизводится ?
------- Comment #4 From 2010-02-01 17:44:27 -------
(In reply to comment #3)
> На php5-5.2.12-alt2 + curl оттуда-же воспроизводится ?

"Оттуда-же" -- не знаю. А вот у меня вылечилось и на 5.2.12 (alt1, alt3) не
воспроизводится. На 5.2.11 воспроизводилось стабильно.

Более того, это как раз та самая причина, по которой меня перестал устраивать
5.2.11. Считаю, что FIXED.